Bug 662157 - subscription-manager-gui: gui overwrites rhsm.conf file.
Summary: subscription-manager-gui: gui overwrites rhsm.conf file.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-10 18:52 UTC by J.C. Molet
Modified: 2011-05-19 13:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description J.C. Molet 2010-12-10 18:52:47 UTC
Description of problem:

Subscription-manager-gui rearranges the /etc/rhsm/rhsm.conf file and deletes any comments within the file.

Version-Release number of selected component (if applicable):

subscription-manager-gnome-0.93.3-1.git.7.ee2f586.fc14.x86_64
subscription-manager-0.93.3-1.git.7.ee2f586.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install subscription-manager-gui on a linux machine with all required deps.
2. Manually edit the /etc/rhsm/rhsm.conf file, adding comments.
3. Open subscription-manager-gui, and open the 'advanced proxy configuration' section.
4. Close the 'advanced proxy configuration' window.
5. view changes to your /etc/rhsm/rhsm.conf.
  
Actual results:

The gui editor rearranges all the configurations found in the rhsm.conf file that was installed by the rpm, and then adds a new [default] section.  The gui editor also will delete any comments made to the rhsm.conf file.   

Expected results:

The layout and contents of the .conf file remain unchanged and any comments/notes remain in the file.

Comment 1 Adrian Likins 2011-01-05 16:22:43 UTC
commit 0784ac39b4ed3907c6cf12984d753323fa9ea097
Author: Adrian Likins <alikins@redhat.com>
Date:   Fri Dec 10 16:16:38 2010 -0500

    use iniparser's backwards compat config parser



New versions of python-rhsm/subscription-manager should fix this. We moved to
a different config parser lib, the new one should persist order and comments.

Comment 2 J.C. Molet 2011-01-05 18:48:32 UTC
subscription-manager-gnome-0.93.9-1.git.10.8eadb7a.el6.x86_64
subscription-manager-0.93.9-1.git.10.8eadb7a.el6.x86_64
subscription-manager-firstboot-0.93.9-1.git.10.8eadb7a.el6.x86_64

This is now working as tested in the above release ^

Comment 3 errata-xmlrpc 2011-05-19 13:38:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.